Subject: Re: bug#20772: 24.4; KERN_INVALID_ADDRESS on OS X 10.10.3

From: Blaz Merela <[email-masked]>
Date: Mon, 13 Jun 2016 14:44:50 +0200

I'll try to run Emacs using launchd and the "-q" option. This crash in 25.0.95 (or a seeming infinite loop in 24.4) only happens on OS X boot, not on any sequential Emacs boot.

> On 12 Jun 2016, at 12:11, Alan Third <[email-masked]> wrote:
> 
> On Sun, Jun 12, 2016 at 10:55:52AM +0200, Blaz Merela wrote:
>> I've tried version 25.0.95 from https://emacsformacosx.com/builds
>> and now Emacs at least quits itself on boot and doesn't hog the CPU
>> anymore. If no one else is reporting this, then it must be my local
>> .emacs (or other configuration) at fault. Maybe time to try
>> Spacemacs. Using OS X 10.11.5 (15F34)
> 
> cc'd the list back in. Please hit 'reply all' or equivalent when
> replying.
> 
> Emacs really shouldn't be crashing on startup. Can you try running it
> using -q? The easiest way to do it is in terminal.app with
> something like:
> 
> /Applications/Emacs.app/Contents/MacOS/Emacs -q
> 
> depending on where you have Emacs.app installed. This bypasses your
> configuration and should let us know for certain if it's something in
> there that's causing the problem.
> -- 
> Alan Third
>